"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const xml2js_1 = require("xml2js");
const util = __importStar(require("util"));
const parser = new xml2js_1.Parser();
class Destination {
    constructor(name, hostname, toComp) {
        this.name = name;
        this.hostname = hostname;
        this.linkType = "Network";
        this.toComp = toComp;
    }
    async toXML() {
        let rawDestination = '<?xml version="1.0" encoding="UTF-8"?>\n';
        if (this.toComp) {
            rawDestination +=
                '<WalkupScanDestination xmlns="http://www.hp.com/schemas/imaging/con/ledm/walkupscan/2010/09/28" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" ' +
                    'xsi:schemaLocation="http://www.hp.com/schemas/imaging/con/ledm/walkupscan/2010/09/28 WalkupScan.xsd">\n';
        }
        else {
            rawDestination +=
                '<WalkupScanDestination xmlns="http://www.hp.com/schemas/imaging/con/rest/walkupscan/2009/09/21" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" \n' +
                    'xsi:schemaLocation="http://www.hp.com/schemas/imaging/con/rest/walkupscan/2009/09/21 WalkupScanDestinations.xsd">\n';
        }
        rawDestination +=
            '\t<Hostname xmlns="http://www.hp.com/schemas/imaging/con/dictionaries/2009/04/06"></Hostname>\n' +
                '\t<Name xmlns="http://www.hp.com/schemas/imaging/con/dictionaries/1.0/"></Name>\n' +
                "\t<LinkType>Network</LinkType>\n" +
                "</WalkupScanDestination>";
        const parsed = await util.promisify(parser.parseString)(rawDestination);
        parsed.WalkupScanDestination.Hostname[0]._ = this.hostname;
        parsed.WalkupScanDestination.Name[0]._ = this.name;
        parsed.WalkupScanDestination.LinkType[0] = this.linkType;
        let builder = new xml2js_1.Builder();
        let xml = builder.buildObject(parsed);
        if (this.toComp) {
            return xml.replace(/WalkupScan/g, "WalkupScanToComp");
        }
        else {
            return xml;
        }
    }
}
exports.default = Destination;
//# sourceMappingURL=Destination.js.map