"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const xml2js_1 = require("xml2js");
const parser = new xml2js_1.Parser();
const util_1 = require("util");
const parseString = (0, util_1.promisify)(parser.parseString);
class DiscoveryTree {
    constructor(data) {
        this.data = data;
    }
    static async createDiscoveryTree(content) {
        const parsed = await parseString(content);
        return new DiscoveryTree(parsed);
    }
    get WalkupScanToCompManifestURI() {
        const hpLedmWalkupScanToCompManifest = this.data["ledm:DiscoveryTree"]["ledm:SupportedIfc"].find((x) => x["dd:ResourceType"][0] === "ledm:hpLedmWalkupScanToCompManifest");
        if (hpLedmWalkupScanToCompManifest !== undefined) {
            return hpLedmWalkupScanToCompManifest["ledm:ManifestURI"][0];
        }
        return null;
    }
    get WalkupScanManifestURI() {
        const hpLedmWalkupScanToCompManifest = this.data["ledm:DiscoveryTree"]["ledm:SupportedIfc"].find((x) => x["dd:ResourceType"][0] === "hpCnxWalkupScanManifest");
        if (hpLedmWalkupScanToCompManifest === undefined) {
            return null;
        }
        return hpLedmWalkupScanToCompManifest["ledm:ManifestURI"][0];
    }
    get ScanJobManifestURI() {
        const hpLedmWalkupScanToCompManifest = this.data["ledm:DiscoveryTree"]["ledm:SupportedIfc"].find((x) => x["dd:ResourceType"][0] === "ledm:hpLedmScanJobManifest");
        if (hpLedmWalkupScanToCompManifest === undefined) {
            return null;
        }
        return hpLedmWalkupScanToCompManifest["ledm:ManifestURI"][0];
    }
}
exports.default = DiscoveryTree;
//# sourceMappingURL=DiscoveryTree.js.map