"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Event {
    constructor(data) {
        this.data = data;
    }
    get unqualifiedEventCategory() {
        return this.data["dd:UnqualifiedEventCategory"][0];
    }
    get agingStamp() {
        return this.data["dd:AgingStamp"][0];
    }
    get destinationURI() {
        if (Object.prototype.hasOwnProperty.call(this.data, "ev:Payload")) {
            const destination = this.data["ev:Payload"].find((v) => v["dd:ResourceType"]["0"].includes("Destination"));
            return destination ? destination["dd:ResourceURI"]["0"] : undefined;
        }
        return undefined;
    }
    get compEventURI() {
        if (Object.prototype.hasOwnProperty.call(this.data, "ev:Payload")) {
            const compEvent = this.data["ev:Payload"].find((v) => v["dd:ResourceType"]["0"].includes("CompEvent"));
            return compEvent ? compEvent["dd:ResourceURI"]["0"] : undefined;
        }
        return undefined;
    }
    get isScanEvent() {
        return this.unqualifiedEventCategory === "ScanEvent";
    }
}
exports.default = Event;
//# sourceMappingURL=Event.js.map