"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Event_1 = __importDefault(require("./Event"));
const xml2js_1 = require("xml2js");
const parser = new xml2js_1.Parser();
const util_1 = require("util");
const parseString = (0, util_1.promisify)(parser.parseString);
class EventTable {
    constructor(data) {
        this.data = data;
    }
    static async createEtagEventTable(content, etagReceived) {
        const parsed = await parseString(content);
        return {
            etag: etagReceived,
            eventTable: new EventTable(parsed),
        };
    }
    get events() {
        let eventTable = this.data["ev:EventTable"];
        if (eventTable != null && eventTable["ev:Event"] != null) {
            return eventTable["ev:Event"].map((x) => new Event_1.default(x));
        }
        else {
            return [];
        }
    }
}
exports.default = EventTable;
//# sourceMappingURL=EventTable.js.map