import { RawAxiosRequestHeaders } from "axios";
import { EtagEventTable } from "./EventTable";
import Job from "./Job";
import ScanStatus from "./ScanStatus";
import WalkupScanDestination from "./WalkupScanDestination";
import WalkupScanToCompDestination from "./WalkupScanToCompDestination";
import WalkupScanDestinations from "./WalkupScanDestinations";
import WalkupScanToCompDestinations from "./WalkupScanToCompDestinations";
import ScanJobSettings from "./ScanJobSettings";
import Destination from "./Destination";
import WalkupScanToCompEvent from "./WalkupScanToCompEvent";
import DiscoveryTree from "./DiscoveryTree";
import WalkupScanToCompManifest from "./WalkupScanToCompManifest";
import WalkupScanToCompCaps from "./WalkupScanToCompCaps";
import WalkupScanManifest from "./WalkupScanManifest";
import ScanJobManifest from "./ScanJobManifest";
import ScanCaps from "./ScanCaps";
export default class HPApi {
    static setDeviceIP(ip: string): void;
    static setDebug(dbg: boolean): void;
    private static logDebug;
    private static callAxios;
    static isAlive(timeout?: number | null): Promise<boolean>;
    static waitDeviceUp(deviceUpPollingInterval: number): Promise<void>;
    static getDiscoveryTree(): Promise<DiscoveryTree>;
    static getWalkupScanDestinations(uri?: string): Promise<WalkupScanDestinations>;
    static getWalkupScanToCompDestinations(): Promise<WalkupScanToCompDestinations>;
    static getWalkupScanManifest(uri: string): Promise<WalkupScanManifest>;
    static getWalkupScanToCompManifest(uri: string): Promise<WalkupScanToCompManifest>;
    static getScanJobManifest(uri: string): Promise<ScanJobManifest>;
    static getScanCaps(uri: string): Promise<ScanCaps>;
    static getWalkupScanToCompCaps(uri: string): Promise<WalkupScanToCompCaps>;
    static getWalkupScanToCompEvent(compEventURI: string): Promise<WalkupScanToCompEvent>;
    static removeDestination(walkupScanDestination: WalkupScanDestination | WalkupScanToCompDestination): Promise<boolean>;
    static registerWalkupScanDestination(destination: Destination): Promise<string>;
    static registerWalkupScanToCompDestination(destination: Destination): Promise<string>;
    static getEvents(etag?: string, decisecondTimeout?: number): Promise<EtagEventTable>;
    static placeETagHeader(etag: string, headers: RawAxiosRequestHeaders): RawAxiosRequestHeaders;
    static appendTimeout(url: string, timeout?: number | null): string;
    static getDestination(destinationURL: string): Promise<WalkupScanDestination | WalkupScanToCompDestination>;
    static getScanStatus(): Promise<ScanStatus>;
    static delay(t: number): Promise<void>;
    static postJob(job: ScanJobSettings): Promise<string>;
    /**
     * @param jobURL
     * @return {Promise<Job|*>}
     */
    static getJob(jobURL: string): Promise<Job>;
    static downloadPage(binaryURL: string, destination: string): Promise<string>;
}
