/// <reference types="node" />
export default class JpegUtil {
    static setDebug(dbg: boolean): void;
    private static logDebug;
    private static numToHex;
    static GetJpgSize(buffer: Buffer): {
        height: number;
        width: number;
    } | null;
    static setJpgSize(buffer: Buffer, size: {
        height: number;
        width: number;
    }): boolean;
    static setJpgHeight(buffer: Buffer, height: number): boolean;
    static fixSizeWithDNL(buffer: Buffer): number | null;
    private static writeHeightInStartOfFrame;
    static readNumberOfLineFromDNL(buffer: Buffer, start: number, length: number): number | null;
    static parse(buffer: Buffer, markerHandler: {
        [key: string]: (start: number, length: number) => boolean;
    }): boolean;
    private static isValidJpegHeader;
    private static isSOIHeader;
    private static getBlockLength;
    private static findCurrentBlockSize;
    private static parseMarker;
}
