"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const xml2js_1 = require("xml2js");
const parser = new xml2js_1.Parser();
const util_1 = require("util");
const parseString = (0, util_1.promisify)(parser.parseString);
class ScanCaps {
    constructor(data) {
        this.data = data;
    }
    static async createScanCaps(content) {
        const parsed = await parseString(content);
        return new ScanCaps(parsed);
    }
    get platenMaxWidth() {
        return Number.parseInt(this.data["ScanCaps"]["Platen"][0]["InputSourceCaps"][0]["MaxWidth"][0], 10);
    }
    get platenMaxHeight() {
        return Number.parseInt(this.data["ScanCaps"]["Platen"][0]["InputSourceCaps"][0]["MaxHeight"][0], 10);
    }
    get adfMaxWidth() {
        if (Object.prototype.hasOwnProperty.call(this.data["ScanCaps"], "Adf")) {
            return Number.parseInt(this.data["ScanCaps"]["Adf"][0]["InputSourceCaps"][0]["MaxWidth"][0], 10);
        }
        else {
            return null;
        }
    }
    get adfMaxHeight() {
        if (Object.prototype.hasOwnProperty.call(this.data["ScanCaps"], "Adf")) {
            return Number.parseInt(this.data["ScanCaps"]["Adf"][0]["InputSourceCaps"][0]["MaxHeight"][0], 10);
        }
        else {
            return null;
        }
    }
}
exports.default = ScanCaps;
//# sourceMappingURL=ScanCaps.js.map