"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createPdfFrom = void 0;
const promises_1 = __importDefault(require("fs/promises"));
const jspdf_1 = require("jspdf");
async function createPdfFrom(scanContent, destination) {
    let doc = null;
    for (const element of scanContent.elements) {
        const widthInInches = element.width / element.xResolution;
        const heightInInches = element.height / element.yResolution;
        const format = [widthInInches, heightInInches];
        if (doc == null) {
            doc = new jspdf_1.jsPDF({ unit: "in", floatPrecision: 3, format });
        }
        else {
            doc.addPage(format);
        }
        const imageByteBuffer = await promises_1.default.readFile(element.path);
        doc.addImage(imageByteBuffer, "JPEG", 0, 0, widthInInches, heightInInches);
    }
    doc === null || doc === void 0 ? void 0 : doc.save(destination);
}
exports.createPdfFrom = createPdfFrom;
//# sourceMappingURL=ScanContent.js.map