"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const xml2js_1 = require("xml2js");
const parser = new xml2js_1.Parser();
const util_1 = require("util");
const parseString = (0, util_1.promisify)(parser.parseString);
class ScanJobManifest {
    constructor(data) {
        this.data = data;
    }
    static async createScanJobManifest(content) {
        const parsed = await parseString(content);
        return new ScanJobManifest(parsed);
    }
    get ScanCapsURI() {
        const scanCaps = this.data["man:Manifest"]["map:ResourceMap"]["0"]["map:ResourceNode"].find((x) => x["map:ResourceType"][0]["scan:ScanResourceType"][0] === "ScanCaps");
        if (scanCaps === undefined) {
            return null;
        }
        return (this.data["man:Manifest"]["map:ResourceMap"]["0"]["map:ResourceLink"][0]["dd:ResourceURI"][0] + scanCaps["map:ResourceLink"][0]["dd:ResourceURI"][0]);
    }
}
exports.default = ScanJobManifest;
//# sourceMappingURL=ScanJobManifest.js.map