import { KnownShortcut } from "./KnownShortcut";
export interface WalkupScanDestinationData {
    "dd:Name": string[];
    "dd3:Hostname": string[];
    "dd:ResourceURI": string[];
    "wus:WalkupScanSettings": {
        "scantype:ScanSettings": {
            "dd:ScanPlexMode": string[];
        }[];
        "wus:Shortcut": KnownShortcut[];
    }[];
}
export default class WalkupScanDestination {
    private readonly data;
    constructor(data: WalkupScanDestinationData);
    static createWalkupScanDestination(content: string): Promise<WalkupScanDestination>;
    get name(): string;
    get hostname(): string;
    get resourceURI(): string;
    get shortcut(): null | KnownShortcut;
    get scanPlexMode(): string | null;
}
