"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const xml2js_1 = require("xml2js");
const parser = new xml2js_1.Parser();
const util_1 = require("util");
const parseString = (0, util_1.promisify)(parser.parseString);
const WalkupScanDestination_1 = __importDefault(require("./WalkupScanDestination"));
class WalkupScanDestinations {
    constructor(data) {
        this.data = data;
    }
    static async createWalkupScanDestinations(content) {
        const parsed = await parseString(content);
        return new WalkupScanDestinations(parsed);
    }
    get destinations() {
        let walkupScanDestinations = this.data["wus:WalkupScanDestinations"];
        if (Object.prototype.hasOwnProperty.call(walkupScanDestinations, "wus:WalkupScanDestination")) {
            return walkupScanDestinations["wus:WalkupScanDestination"].map((x) => new WalkupScanDestination_1.default(x));
        }
        else {
            return [];
        }
    }
}
exports.default = WalkupScanDestinations;
//# sourceMappingURL=WalkupScanDestinations.js.map