"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const xml2js_1 = require("xml2js");
const parser = new xml2js_1.Parser();
const util_1 = require("util");
const parseString = (0, util_1.promisify)(parser.parseString);
class WalkupScanManifest {
    constructor(data) {
        this.data = data;
    }
    static async createWalkupScanManifest(content) {
        const parsed = await parseString(content);
        return new WalkupScanManifest(parsed);
    }
    get walkupScanDestinationsURI() {
        const walkupScanToCompCaps = this.data["man:Manifest"]["map:ResourceMap"]["0"]["map:ResourceNode"].find((x) => x["map:ResourceType"][0]["wus:WalkupScanResourceType"][0] ===
            "WalkupScanDestinations");
        if (walkupScanToCompCaps === undefined) {
            return null;
        }
        return (this.data["man:Manifest"]["map:ResourceMap"]["0"]["map:ResourceLink"][0]["dd:ResourceURI"][0] + walkupScanToCompCaps["map:ResourceLink"][0]["dd:ResourceURI"][0]);
    }
}
exports.default = WalkupScanManifest;
//# sourceMappingURL=WalkupScanManifest.js.map