"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const xml2js_1 = require("xml2js");
const parser = new xml2js_1.Parser();
const util_1 = require("util");
const parseString = (0, util_1.promisify)(parser.parseString);
class WalkupScanToCompCaps {
    constructor(data) {
        this.data = data;
    }
    static async createWalkupScanToCompCaps(content) {
        const parsed = await parseString(content);
        return new WalkupScanToCompCaps(parsed);
    }
    get supportsMultiItemScanFromPlaten() {
        return (this.data["wus:WalkupScanToCompCaps"]["wus:SupportsMultiItemScanFromPlaten"]["0"] === "true");
    }
}
exports.default = WalkupScanToCompCaps;
//# sourceMappingURL=WalkupScanToCompCaps.js.map