import { KnownShortcut } from "./KnownShortcut";
export interface WalkupScanToCompDestinationData {
    "dd:Name": string[];
    "dd:ResourceURI": string[];
    "dd3:Hostname": string[];
    "wus:WalkupScanToCompSettings": {
        "scantype:ScanSettings": {
            "dd:ScanPlexMode": string[];
        }[];
        "wus:Shortcut": KnownShortcut[];
    }[];
}
export default class WalkupScanToCompDestination {
    private readonly data;
    constructor(data: WalkupScanToCompDestinationData);
    static createWalkupScanToCompDestination(content: string): Promise<WalkupScanToCompDestination>;
    get name(): string;
    get hostname(): string;
    get resourceURI(): string;
    get shortcut(): null | KnownShortcut;
    get scanPlexMode(): string | null;
}
