"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const xml2js_1 = require("xml2js");
const parser = new xml2js_1.Parser();
const util_1 = require("util");
const parseString = (0, util_1.promisify)(parser.parseString);
class WalkupScanToCompDestination {
    constructor(data) {
        this.data = data;
    }
    static async createWalkupScanToCompDestination(content) {
        const parsed = await parseString(content);
        return new WalkupScanToCompDestination(parsed["wus:WalkupScanToCompDestination"]);
    }
    get name() {
        return this.data["dd:Name"][0];
    }
    get hostname() {
        return this.data["dd3:Hostname"][0];
    }
    get resourceURI() {
        return this.data["dd:ResourceURI"][0];
    }
    get shortcut() {
        if (Object.prototype.hasOwnProperty.call(this.data, "wus:WalkupScanToCompSettings")) {
            return this.data["wus:WalkupScanToCompSettings"]["0"]["wus:Shortcut"][0];
        }
        return null;
    }
    get scanPlexMode() {
        if (Object.prototype.hasOwnProperty.call(this.data, "wus:WalkupScanToCompSettings")) {
            return (this.data["wus:WalkupScanToCompSettings"]["0"]["scantype:ScanSettings"]["0"]["dd:ScanPlexMode"][0] || null);
        }
        return null;
    }
}
exports.default = WalkupScanToCompDestination;
//# sourceMappingURL=WalkupScanToCompDestination.js.map