"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const xml2js_1 = require("xml2js");
const parser = new xml2js_1.Parser();
const util_1 = require("util");
const parseString = (0, util_1.promisify)(parser.parseString);
const WalkupScanToCompDestination_1 = __importDefault(require("./WalkupScanToCompDestination"));
class WalkupScanToCompDestinations {
    constructor(data) {
        this.data = data;
    }
    static async createWalkupScanToCompDestinations(content) {
        const parsed = await parseString(content);
        return new WalkupScanToCompDestinations(parsed);
    }
    get destinations() {
        let walkupScanToCompDestinations = this.data["wus:WalkupScanToCompDestinations"];
        if (Object.prototype.hasOwnProperty.call(walkupScanToCompDestinations, "wus:WalkupScanToCompDestination")) {
            return walkupScanToCompDestinations["wus:WalkupScanToCompDestination"].map((x) => new WalkupScanToCompDestination_1.default(x));
        }
        else {
            return [];
        }
    }
}
exports.default = WalkupScanToCompDestinations;
//# sourceMappingURL=WalkupScanToCompDestinations.js.map