"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const xml2js_1 = require("xml2js");
const parser = new xml2js_1.Parser();
const util_1 = require("util");
const parseString = (0, util_1.promisify)(parser.parseString);
class WalkupScanToCompEvent {
    constructor(data) {
        this.data = data;
    }
    static async createWalkupScanToCompEvent(content) {
        const parsed = await parseString(content);
        return new WalkupScanToCompEvent(parsed);
    }
    get eventType() {
        return this.data["wus:WalkupScanToCompEvent"]["wus:WalkupScanToCompEventType"][0];
    }
}
exports.default = WalkupScanToCompEvent;
//# sourceMappingURL=WalkupScanToCompEvent.js.map