import Event from "./Event";
import { DeviceCapabilities } from "./DeviceCapabilities";
import { InputSource } from "./InputSource";
export declare function getScanWidth(scanConfig: ScanConfig, inputSource: InputSource, deviceCapabilities: DeviceCapabilities): number | null;
export declare function getScanHeight(scanConfig: ScanConfig, inputSource: InputSource, deviceCapabilities: DeviceCapabilities): number | null;
export declare function saveScan(event: Event, folder: string, tempFolder: string, scanCount: number, deviceCapabilities: DeviceCapabilities, scanConfig: ScanConfig): Promise<void>;
export type DirectoryConfig = {
    directory: string | undefined;
    tempDirectory: string | undefined;
    filePattern: string | undefined;
};
export type ScanConfig = {
    resolution: number;
    width: number | null;
    height: number | null;
    directoryConfig: DirectoryConfig;
};
export type AdfAutoScanConfig = ScanConfig & {
    isDuplex: boolean;
    generatePdf: boolean;
    pollingInterval: number;
    startScanDelay: number;
};
export declare function scanFromAdf(scanCount: number, folder: string, tempFolder: string, adfAutoScanConfig: AdfAutoScanConfig, deviceCapabilities: DeviceCapabilities, date: Date): Promise<void>;
export declare function waitAdfLoaded(pollingInterval: number, startScanDelay: number): Promise<void>;
