"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mocha_1 = require("mocha");
const chai_1 = require("chai");
const path_1 = __importDefault(require("path"));
const fs = __importStar(require("fs/promises"));
const DiscoveryTree_1 = __importDefault(require("../src/DiscoveryTree"));
(0, mocha_1.describe)("DiscoveryTree", () => {
    (0, mocha_1.describe)("Parsing discoveryTree.xml", async () => {
        let discoveryTree;
        before(async () => {
            const content = await fs.readFile(path_1.default.resolve(__dirname, "./asset/discoveryTree.xml"), { encoding: "utf8" });
            discoveryTree = await DiscoveryTree_1.default.createDiscoveryTree(content);
        });
        it("Parse WalkupScanToCompManifest uri", async () => {
            (0, chai_1.expect)(discoveryTree.WalkupScanToCompManifestURI).to.be.eq("/WalkupScanToComp/WalkupScanToCompManifest.xml");
        });
        it("Parse WalkupScanManifest uri", async () => {
            (0, chai_1.expect)(discoveryTree.WalkupScanManifestURI).to.be.eq(null);
        });
        it("Parse ScanJobManifest uri", async () => {
            (0, chai_1.expect)(discoveryTree.ScanJobManifestURI).to.be.eq("/Scan/ScanJobManifest.xml");
        });
    });
    (0, mocha_1.describe)("Parsing discoveryTree2.xml", async () => {
        let discoveryTree;
        before(async () => {
            const content = await fs.readFile(path_1.default.resolve(__dirname, "./asset/discoveryTree2.xml"), { encoding: "utf8" });
            discoveryTree = await DiscoveryTree_1.default.createDiscoveryTree(content);
        });
        it("Parse WalkupScanToCompManifest uri", async () => {
            (0, chai_1.expect)(discoveryTree.WalkupScanToCompManifestURI).to.be.eq(null);
        });
        it("Parse WalkupScanManifest uri", async () => {
            (0, chai_1.expect)(discoveryTree.WalkupScanManifestURI).to.be.eq("/WalkupScan/WalkupScanManifest.xml");
        });
        it("Parse ScanJobManifest uri", async () => {
            (0, chai_1.expect)(discoveryTree.ScanJobManifestURI).to.be.eq("/Scan/ScanJobManifest.xml");
        });
    });
});
//# sourceMappingURL=DiscoveryTree.test.js.map