"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mocha_1 = require("mocha");
const chai_1 = require("chai");
const path_1 = __importDefault(require("path"));
const fs = __importStar(require("fs/promises"));
const EventTable_1 = __importDefault(require("../src/EventTable"));
(0, mocha_1.describe)("EtagEventTable", () => {
    (0, mocha_1.describe)("Parsing eventTable.xml", async () => {
        let etagEventTable;
        before(async () => {
            const content = await fs.readFile(path_1.default.resolve(__dirname, "./asset/eventTable.xml"), { encoding: "utf8" });
            etagEventTable = await EventTable_1.default.createEtagEventTable(content, "tag1");
        });
        it("tag", async () => {
            (0, chai_1.expect)(etagEventTable.etag).to.be.eq("tag1");
        });
        it("Parse event compEventURI", async () => {
            (0, chai_1.expect)(etagEventTable.eventTable.events[0].compEventURI).to.be.eq(undefined);
        });
        it("Parse event destinationURI", async () => {
            (0, chai_1.expect)(etagEventTable.eventTable.events[0].destinationURI).to.be.eq(undefined);
            (0, chai_1.expect)(etagEventTable.eventTable.events[4].destinationURI).to.be.eq("http://192.168.1.7:8080/WalkupScan/WalkupScanDestinations/1cb3125d-7bde-1f09-8da2-2c768ab21113");
        });
        it("Parse event isScanEvent", async () => {
            (0, chai_1.expect)(etagEventTable.eventTable.events[0].isScanEvent).to.be.eq(false);
            (0, chai_1.expect)(etagEventTable.eventTable.events[4].isScanEvent).to.be.eq(true);
        });
        it("Parse event unqualifiedEventCategory", async () => {
            (0, chai_1.expect)(etagEventTable.eventTable.events[0].unqualifiedEventCategory).to.be.eq("DeviceCapabilitiesChanged");
            (0, chai_1.expect)(etagEventTable.eventTable.events[4].unqualifiedEventCategory).to.be.eq("ScanEvent");
        });
        it("Parse event agingStamp", async () => {
            (0, chai_1.expect)(etagEventTable.eventTable.events[0].agingStamp).to.be.eq("139-1");
        });
    });
    (0, mocha_1.describe)("Parsing eventTableComp.xml", async () => {
        let etagEventTable;
        before(async () => {
            const content = await fs.readFile(path_1.default.resolve(__dirname, "./asset/eventTableComp.xml"), { encoding: "utf8" });
            etagEventTable = await EventTable_1.default.createEtagEventTable(content, "tag1");
        });
        it("tag", async () => {
            (0, chai_1.expect)(etagEventTable.etag).to.be.eq("tag1");
        });
        it("Parse event compEventURI", async () => {
            (0, chai_1.expect)(etagEventTable.eventTable.events[0].compEventURI).to.be.eq(undefined);
            (0, chai_1.expect)(etagEventTable.eventTable.events[3].compEventURI).to.be.eq("/WalkupScanToComp/WalkupScanToCompEvent");
        });
        it("Parse event destinationURI", async () => {
            (0, chai_1.expect)(etagEventTable.eventTable.events[0].destinationURI).to.be.eq(undefined);
            (0, chai_1.expect)(etagEventTable.eventTable.events[3].destinationURI).to.be.eq("/WalkupScanToComp/WalkupScanToCompDestinations/ab60a563-5a97-4386-bd36-ec63cbbff933");
        });
        it("Parse event isScanEvent", async () => {
            (0, chai_1.expect)(etagEventTable.eventTable.events[0].isScanEvent).to.be.eq(false);
            (0, chai_1.expect)(etagEventTable.eventTable.events[3].isScanEvent).to.be.eq(true);
        });
        it("Parse event unqualifiedEventCategory", async () => {
            (0, chai_1.expect)(etagEventTable.eventTable.events[0].unqualifiedEventCategory).to.be.eq("DeviceCapabilitiesChanged");
            (0, chai_1.expect)(etagEventTable.eventTable.events[3].unqualifiedEventCategory).to.be.eq("ScanEvent");
        });
        it("Parse event agingStamp", async () => {
            (0, chai_1.expect)(etagEventTable.eventTable.events[0].agingStamp).to.be.eq("1-16");
        });
    });
});
//# sourceMappingURL=EtagEventTable.test.js.map