"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mocha_1 = require("mocha");
const chai_1 = require("chai");
const path_1 = __importDefault(require("path"));
const fs = __importStar(require("fs/promises"));
const Job_1 = __importDefault(require("../src/Job"));
(0, mocha_1.describe)("Job", () => {
    (0, mocha_1.describe)("Parsing job_processing.xml", async () => {
        let job;
        before(async () => {
            const content = await fs.readFile(path_1.default.resolve(__dirname, "./asset/job_processing.xml"), { encoding: "utf8" });
            job = await Job_1.default.createJob(content);
        });
        it("Parse jobState", async () => {
            (0, chai_1.expect)(job.jobState).to.be.eq("Processing");
        });
        it("Parse xResolution", async () => {
            (0, chai_1.expect)(job.xResolution).to.be.eq(200);
        });
        it("Parse yResolution", async () => {
            (0, chai_1.expect)(job.yResolution).to.be.eq(200);
        });
        it("Parse imageHeight", async () => {
            (0, chai_1.expect)(job.imageHeight).to.be.eq(2338);
        });
        it("Parse imageWidth", async () => {
            (0, chai_1.expect)(job.imageWidth).to.be.eq(1654);
        });
        it("Parse currentPageNumber", async () => {
            (0, chai_1.expect)(job.currentPageNumber).to.be.eq("1");
        });
        it("Parse binaryURL", async () => {
            (0, chai_1.expect)(job.binaryURL).to.be.eq("/Scan/Jobs/2/Pages/1");
        });
        it("Parse pageState", async () => {
            (0, chai_1.expect)(job.pageState).to.be.eq("PreparingScan");
        });
        it("Parse totalPageNumber", async () => {
            (0, chai_1.expect)(job.totalPageNumber).to.be.eq(null);
        });
    });
    (0, mocha_1.describe)("Parsing job_completed.xml", async () => {
        let job;
        before(async () => {
            const content = await fs.readFile(path_1.default.resolve(__dirname, "./asset/job_completed.xml"), { encoding: "utf8" });
            job = await Job_1.default.createJob(content);
        });
        it("Parse jobState", async () => {
            (0, chai_1.expect)(job.jobState).to.be.eq("Completed");
        });
        it("Parse xResolution", async () => {
            (0, chai_1.expect)(job.xResolution).to.be.eq(null);
        });
        it("Parse yResolution", async () => {
            (0, chai_1.expect)(job.yResolution).to.be.eq(null);
        });
        it("Parse imageHeight", async () => {
            (0, chai_1.expect)(job.imageHeight).to.be.eq(null);
        });
        it("Parse imageWidth", async () => {
            (0, chai_1.expect)(job.imageWidth).to.be.eq(null);
        });
        it("Parse currentPageNumber", async () => {
            (0, chai_1.expect)(job.currentPageNumber).to.be.eq(null);
        });
        it("Parse binaryURL", async () => {
            (0, chai_1.expect)(job.binaryURL).to.be.eq(null);
        });
        it("Parse pageState", async () => {
            (0, chai_1.expect)(job.pageState).to.be.eq(null);
        });
        it("Parse totalPageNumber", async () => {
            (0, chai_1.expect)(job.totalPageNumber).to.be.eq(1);
        });
    });
});
//# sourceMappingURL=Job.test.js.map