"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mocha_1 = require("mocha");
const chai_1 = require("chai");
const ScanJobSettings_1 = __importDefault(require("../src/ScanJobSettings"));
const path_1 = __importDefault(require("path"));
const fs = __importStar(require("fs/promises"));
const InputSource_1 = require("../src/InputSource");
(0, mocha_1.describe)("ScanJobSettings", () => {
    (0, mocha_1.describe)("toXML", () => {
        it("Allows to describe an ADF two side", async () => {
            const scanJobSettings = new ScanJobSettings_1.default(InputSource_1.InputSource.Adf, "Document", 200, null, null, true);
            const content = await fs.readFile(path_1.default.resolve(__dirname, "./asset/adf_duplex_job.xml"), { encoding: 'utf8' });
            (0, chai_1.expect)((await scanJobSettings.toXML()).trimEnd()).to.be.eq(content.trimEnd().replace(/\r\n/g, "\n"));
        });
        it("Allows to describe an ADF single side", async () => {
            const scanJobSettings = new ScanJobSettings_1.default(InputSource_1.InputSource.Adf, "Document", 200, null, null, false);
            const content = await fs.readFile(path_1.default.resolve(__dirname, "./asset/adf_simplex_job.xml"), { encoding: 'utf8' });
            (0, chai_1.expect)((await scanJobSettings.toXML()).trimEnd()).to.be.eq(content.trimEnd().replace(/\r\n/g, "\n"));
        });
        it("Allows to describe dpi of 300", async () => {
            const scanJobSettings = new ScanJobSettings_1.default(InputSource_1.InputSource.Adf, "Document", 300, null, null, false);
            const content = await fs.readFile(path_1.default.resolve(__dirname, "./asset/300_dpi_job.xml"), { encoding: 'utf8' });
            (0, chai_1.expect)((await scanJobSettings.toXML()).trimEnd()).to.be.eq(content.trimEnd().replace(/\r\n/g, "\n"));
        });
        it("Allows to describe a custom width and height", async () => {
            const scanJobSettings = new ScanJobSettings_1.default(InputSource_1.InputSource.Adf, "Document", 200, 1000, 4000, false);
            const content = await fs.readFile(path_1.default.resolve(__dirname, "./asset/adf_simplex_custom_job.xml"), { encoding: 'utf8' });
            (0, chai_1.expect)((await scanJobSettings.toXML()).trimEnd()).to.be.eq(content.trimEnd().replace(/\r\n/g, "\n"));
        });
    });
});
//# sourceMappingURL=ScanJobSettings.test.js.map