"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mocha_1 = require("mocha");
const chai_1 = require("chai");
const path_1 = __importDefault(require("path"));
const fs = __importStar(require("fs/promises"));
const ScanStatus_1 = __importDefault(require("../src/ScanStatus"));
(0, mocha_1.describe)("ScanStatus", () => {
    (0, mocha_1.describe)("Parsing scanStatus.xml", async () => {
        let scanStatus;
        before(async () => {
            const content = await fs.readFile(path_1.default.resolve(__dirname, "./asset/scanStatus.xml"), { encoding: "utf8" } //
            );
            scanStatus = await ScanStatus_1.default.createScanStatus(content);
        });
        it("Parse adfState", async () => {
            (0, chai_1.expect)(scanStatus.adfState).to.be.eq("Loaded");
        });
        it("Parse scannerState", async () => {
            (0, chai_1.expect)(scanStatus.scannerState).to.be.eq("Idle");
        });
        it("getInputSource", async () => {
            (0, chai_1.expect)(scanStatus.getInputSource()).to.be.eq("Adf");
        });
        it("isLoaded", async () => {
            (0, chai_1.expect)(scanStatus.isLoaded()).to.be.eq(true);
        });
    });
    (0, mocha_1.describe)("Parsing sscanStatus_no_adf.xml", async () => {
        let scanStatus;
        before(async () => {
            const content = await fs.readFile(path_1.default.resolve(__dirname, "./asset/scanStatus_no_adf.xml"), { encoding: "utf8" });
            scanStatus = await ScanStatus_1.default.createScanStatus(content);
        });
        it("Parse adfState", async () => {
            (0, chai_1.expect)(scanStatus.adfState).to.be.eq("");
        });
        it("Parse scannerState", async () => {
            (0, chai_1.expect)(scanStatus.scannerState).to.be.eq("Idle");
        });
        it("getInputSource", async () => {
            (0, chai_1.expect)(scanStatus.getInputSource()).to.be.eq("Platen");
        });
        it("isLoaded", async () => {
            (0, chai_1.expect)(scanStatus.isLoaded()).to.be.eq(false);
        });
    });
});
//# sourceMappingURL=ScanStatus.test.js.map