"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mocha_1 = require("mocha");
const chai_1 = require("chai");
const path_1 = __importDefault(require("path"));
const fs = __importStar(require("fs/promises"));
const WalkupScanDestination_1 = __importDefault(require("../src/WalkupScanDestination"));
(0, mocha_1.describe)("WalkupScanDestination", () => {
    (0, mocha_1.describe)("Parsing walkupScanToCompDestination_with_ScanPlexMode.xml", async () => {
        let destination;
        before(async () => {
            const content = await fs.readFile(path_1.default.resolve(__dirname, "./asset/walkupScanDestination_with_ScanPlexMode.xml"), { encoding: "utf8" });
            destination = await WalkupScanDestination_1.default.createWalkupScanDestination(content);
        });
        it("Parse scanPlexMode", async () => {
            (0, chai_1.expect)(destination.scanPlexMode).to.be.eq("Simplex");
        });
        it("Parse shortcut", async () => {
            (0, chai_1.expect)(destination.shortcut).to.be.eq("SavePDF");
        });
        it("Parse resourceURI", async () => {
            (0, chai_1.expect)(destination.resourceURI).to.be.eq("http://192.168.1.7:8080/WalkupScan/WalkupScanDestinations/1cb3125d-7bde-1f09-8da2-2c768ab21113");
        });
        it("Parse hostname", async () => {
            (0, chai_1.expect)(destination.hostname).to.be.eq("LAPTOP-BSHRTBV8");
        });
        it("Parse name", async () => {
            (0, chai_1.expect)(destination.name).to.be.eq("LAPTOP-BSHRTBV8");
        });
    });
    (0, mocha_1.describe)("Parsing walkupScanDestination_with_shortcut_SaveDocument1.xml", async () => {
        let destination;
        before(async () => {
            const content = await fs.readFile(path_1.default.resolve(__dirname, "./asset/walkupScanDestination_with_shortcut_SaveDocument1.xml"), { encoding: "utf8" });
            destination = await WalkupScanDestination_1.default.createWalkupScanDestination(content);
        });
        it("Parse scanPlexMode", async () => {
            (0, chai_1.expect)(destination.scanPlexMode).to.be.eq("Simplex");
        });
        it("Parse shortcut", async () => {
            (0, chai_1.expect)(destination.shortcut).to.be.eq("SaveDocument1");
        });
        it("Parse resourceURI", async () => {
            (0, chai_1.expect)(destination.resourceURI).to.be.eq("http://192.168.5.221:80/WalkupScan/WalkupScanDestinations/1c8530e5-b81c-1f08-8d61-984be142325d");
        });
        it("Parse hostname", async () => {
            (0, chai_1.expect)(destination.hostname).to.be.eq("scan");
        });
        it("Parse name", async () => {
            (0, chai_1.expect)(destination.name).to.be.eq("scan");
        });
    });
});
//# sourceMappingURL=WalkupScanDestination.test.js.map