"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mocha_1 = require("mocha");
const chai_1 = require("chai");
const path_1 = __importDefault(require("path"));
const fs = __importStar(require("fs/promises"));
const WalkupScanDestinations_1 = __importDefault(require("../src/WalkupScanDestinations"));
(0, mocha_1.describe)("WalkupScanDestinations", () => {
    (0, mocha_1.describe)("Parsing walkupScanDestinations.xml", async () => {
        let destinations;
        before(async () => {
            const content = await fs.readFile(path_1.default.resolve(__dirname, "./asset/walkupScanDestinations.xml"), { encoding: "utf8" });
            destinations = await WalkupScanDestinations_1.default.createWalkupScanDestinations(content);
        });
        it("Parse scanPlexMode", async () => {
            (0, chai_1.expect)(destinations.destinations[0].scanPlexMode).to.be.eq(null);
        });
        it("Parse shortcut", async () => {
            (0, chai_1.expect)(destinations.destinations[0].shortcut).to.be.eq(null);
        });
        it("Parse resourceURI", async () => {
            (0, chai_1.expect)(destinations.destinations[0].resourceURI).to.be.eq("http://192.168.1.30:80/WalkupScan/WalkupScanDestinations/1c856ba3-b916-1f08-be4e-2c768ab21113");
        });
        it("Parse hostname", async () => {
            (0, chai_1.expect)(destinations.destinations[0].hostname).to.be.eq("manu-sve1511b1ew");
        });
        it("Parse name", async () => {
            (0, chai_1.expect)(destinations.destinations[0].name).to.be.eq("manu-sve1511b1ew");
        });
    });
    (0, mocha_1.describe)("Parsing walkupScanDestinations2.xml", async () => {
        let destinations;
        before(async () => {
            const content = await fs.readFile(path_1.default.resolve(__dirname, "./asset/walkupScanDestinations2.xml"), { encoding: "utf8" });
            destinations = await WalkupScanDestinations_1.default.createWalkupScanDestinations(content);
        });
        it("Parse destinations", async () => {
            (0, chai_1.expect)(destinations.destinations).to.be.empty;
        });
    });
});
//# sourceMappingURL=WalkupScanDestinations.test.js.map