"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mocha_1 = require("mocha");
const chai_1 = require("chai");
const path_1 = __importDefault(require("path"));
const fs = __importStar(require("fs/promises"));
const WalkupScanToCompDestinations_1 = __importDefault(require("../src/WalkupScanToCompDestinations"));
(0, mocha_1.describe)("WalkupScanToCompDestinations", () => {
    (0, mocha_1.describe)("Parsing walkupScanToCompDestination_with_ScanPlexMode.xml", async () => {
        let destinations;
        before(async () => {
            const content = await fs.readFile(path_1.default.resolve(__dirname, "./asset/walkupScanToCompDestinations.xml"), { encoding: "utf8" });
            destinations = await WalkupScanToCompDestinations_1.default.createWalkupScanToCompDestinations(content);
        });
        it("Parse scanPlexMode", async () => {
            (0, chai_1.expect)(destinations.destinations[0].scanPlexMode).to.be.eq(null);
        });
        it("Parse shortcut", async () => {
            (0, chai_1.expect)(destinations.destinations[0].shortcut).to.be.eq(null);
        });
        it("Parse resourceURI", async () => {
            (0, chai_1.expect)(destinations.destinations[0].resourceURI).to.be.eq("/WalkupScanToComp/WalkupScanToCompDestinations/4ad05d8e-20e8-4b8c-bdaa-5e6eca0dd3d8");
        });
        it("Parse hostname", async () => {
            (0, chai_1.expect)(destinations.destinations[0].hostname).to.be.eq("8d170beb5887");
        });
        it("Parse name", async () => {
            (0, chai_1.expect)(destinations.destinations[0].name).to.be.eq("8d170beb5887");
        });
    });
});
//# sourceMappingURL=WalkupScanToCompDestinations.test.js.map